<?php
/**
 * OrdersApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * OMS
 *
 * Управление заказами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\OmsClient;

use \Ensi\OmsClient\Configuration;
use \Ensi\OmsClient\ApiException;
use \Ensi\OmsClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * OrdersApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class OrdersApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for addOrderComment
     *
     * Добавить внутренний комментарий.
     *
     */
    public function testAddOrderComment()
    {
    }

    /**
     * Test case for attachOrderFile
     *
     * Прикрепить файл к заказу.
     *
     */
    public function testAttachOrderFile()
    {
    }

    /**
     * Test case for changeOrderDelivery
     *
     * Обновление полей по доставке объекта типа Order.
     *
     */
    public function testChangeOrderDelivery()
    {
    }

    /**
     * Test case for changeOrderPaymentSystem
     *
     * Изменить систему оплаты заказа.
     *
     */
    public function testChangeOrderPaymentSystem()
    {
    }

    /**
     * Test case for checkOrderPayment
     *
     * Проверить статус оплаты заказа.
     *
     */
    public function testCheckOrderPayment()
    {
    }

    /**
     * Test case for commitOrder
     *
     * Оформить заказ.
     *
     */
    public function testCommitOrder()
    {
    }

    /**
     * Test case for deleteOrderFiles
     *
     * Удалить прикрепленные файлы к заказу.
     *
     */
    public function testDeleteOrderFiles()
    {
    }

    /**
     * Test case for getOrder
     *
     * Получение объекта типа Order.
     *
     */
    public function testGetOrder()
    {
    }

    /**
     * Test case for patchOrder
     *
     * Обновление части полей объекта типа Order.
     *
     */
    public function testPatchOrder()
    {
    }

    /**
     * Test case for searchOrders
     *
     * Поиск объектов типа Order.
     *
     */
    public function testSearchOrders()
    {
    }

    /**
     * Test case for startOrderPayment
     *
     * Запустить оплату.
     *
     */
    public function testStartOrderPayment()
    {
    }
}
